Migrar Base de Datos

Inicio Foros Foro principal Ayuda Migrar Base de Datos

Viendo 6 entradas - de la 1 a la 6 (de un total de 6)
  • Autor
    Entradas
  • #48829
    Joel CastañoJoel Castaño
    Participante

    Hola, estoy intentando actualizar a la última versión.

    Cuando inicio el “Cliente” me da el error:

    Error de version de la base de datos
    El programa necesita una base de datos versión 30-06-2018, pero la base de datos es versión 23-05-2017. Esto podria ser una causa de errores.

    Cómo puedo actualizarla?

    Gracias.-

    Joel

    #48830
    Jorge MatulichJorge Matulich
    Participante

    Buen día Joel

    Es necesario actualizar también la versión de Base de Datos, ya que si el programa está actualizado, seguramente incluya cambios de estructura de base datos, tablas y/o campos.
    De todas maneras igual sería conveniente saber que pasos hiciste para actualizar a la última versión e inclusive de que manera estas accediendo a Libertya (directamente con el libertya.jnlp en el escritorio?).

    Si querés profundizar sobre cualquiera de estos temas, te invitamos a las sesiones semanales gratuitas de Consultoría On Line. Más información en https://www.libertya.org/forums/topic/documentacion-completa-y-soporte-libre-para-libertya-pyme-3/

    #48832
    Joel CastañoJoel Castaño
    Participante

    Hola Jorge, muchas gracias por responder.

    Estoy siguiendo los pasos que se encuentra en el área de descarga (hay un documento que describe paso a paso los mismos).

    Lo que estoy buscando es el link para actualizar la BD. Porque no se si buscarlo en Libertya.org o bien en la web de Postgre.

    Gracias.

    Joel

    #48834
    Horacio AlvarezHoracio Alvarez
    Participante

    Buenas Joel,
    estás siguiendo este instructivo ?

    http://sourceforge.net/projects/libertya/files/libertya/release/1907/documentation/Pasos%20para%20actualizar%20desde%20v18.06.pdf/download

    Recordá que debes actualizar la base de datos de acuerdo a lo que se indica en el documento:

    Instalación en instancia sin modificaciones
    Utilice esta guía si usted no realizó modificación alguna sobre el diccionario de datos del
    sistema accediendo a la aplicación mediante el perfil System Administrator. Este es el
    caso más general.

    Instalación en instancia con modificaciones bajo convenciones
    Utilice esta guía si usted realizó modificaciones sobre el diccionario de datos del sistema
    accediendo a la aplicación mediante el perfil System Administrator, pero respetando las
    convenciones de la Arquitectura Libertya Components.

    Instalación en instancia sin modificaciones fuera de convenciones
    Utilice esta guía si usted realizó modificaciones sobre el diccionario de datos del sistema
    accediendo a la aplicación mediante el perfil System Administrator, pero sin haber
    respetado las convenciones de la Arquitectura Libertya Components.

    Saludos!

    Si querés profundizar sobre cualquiera de estos temas, te invitamos a las sesiones semanales gratuitas de Consultoría On Line.
    Más información en https://www.libertya.org/forums/topic/documentacion-completa-y-soporte-libre-para-libertya-pyme-3/

    #48851
    Joel CastañoJoel Castaño
    Participante

    Hola, sí, estoy siguiendo ese mismo instructivo, pero al ejecutar el .jar me da el siguiente error:

    Error al realizar la instalación: ERROR: Error en ejecución de sentencia SQL. ERROR: no existe la función addindexifnotexists(unknown, unknown, unknown)
    Hint: Ninguna función coincide en el nombre y tipos de argumentos. Puede ser necesario agregar conversión explícita de tipos.
    Position: 38 – SQL: update ad_system set dummy = (SELECT addindexifnotexists(‘c_allocationhdr_bpartner’,’c_allocationhdr’,’c_bpartner_id’));

    Qué puedo hacer para solucionarlo???

    Mil gracias.

    Joel

    #48854
    Federico CristinaFederico Cristina
    Superadministrador

    Buenas,

    No está encontrando la función addindexifnotexists, la cual en realidad sí existe en libertya desde hace varias versiones ya.

    Estimo que o bien la base de datos a sufrido modificaciones en donde se eliminó dicha función (y eventualmente otras cosas más), o bien la versión sobre la que se está trabajando no ha recibido todas las actualizaciones previas correspondientes.

    Si querés profundizar sobre cualquiera de estos temas, te invitamos a las sesiones semanales gratuitas de Consultoría On Line.
    Más información en https://www.libertya.org/forums/topic/documentacion-completa-y-soporte-libre-para-libertya-pyme-3/

Viendo 6 entradas - de la 1 a la 6 (de un total de 6)
  • Debes estar registrado para responder a este debate.